#include <sys/types.h>
#include <sys/socket.h>
#include <sys/un.h>
#include <unistd.h>
#include <stdlib.h>
#include <stdio.h>

int main(int argc, char **argv)
{
	int sockfd;
	int result;
	struct sockaddr_un address;
	char CommandString[64];

  /* create a socket */
  sockfd = socket(AF_LOCAL, SOCK_STREAM, 0);

  memset(&address, 0, sizeof(address));

  address.sun_family = AF_LOCAL;
  strcpy(address.sun_path, "/tmp/winset");

  /* connect to the server */
  result = connect(sockfd, (struct sockaddr *)&address, sizeof(address));
  if(result == -1)
  {
    perror("connect failed: ");
    exit(1);
  }

  if(argc>1){
    strcpy(CommandString, argv[1]);
    write(sockfd, CommandString, strlen(CommandString));
    //read(sockfd, &ch, 1);
    //printf("get char from server: %s\n", ch);
  }
  else{
    printf("Please enter commnad string!\n");
  }
  /* close the socket */
  close(sockfd);

  return 0;
}
