#!/bin/bash
if [ "$SUDO_COMMAND" ];then
echo "Please do not use 'sudo'"
exit
fi

sudo dpkg --add-architecture i386
sudo apt-get update
sudo apt-get install libc6:i386 libncurses5:i386 libstdc++6:i386 -y
sudo apt-get install build-essential xdotool -y
sudo apt-get install libxtst-dev libelf-dev -y

OiginalDir=$(dirname $(realpath $0))
sudo tar zxf winset.tar.gz -C /opt/

cd /opt/winset/X86_RW
make uninstall
make clean
make
make install

if [ ! -f /etc/rc.local ];then
	echo '#!/bin/sh' | sudo tee /etc/rc.local
fi
sudo sed -i '1a /opt/winset/rc.local-ECDriverUpdate' /etc/rc.local
sudo chmod 744 /etc/rc.local

sudo dmidecode -s system-serial-number | sudo tee /opt/winset/HW_SN
sudo chown root:root -R /opt/winset

sudo mv /opt/winset/SwitchMode.sh /opt/winset/HandMode.sh /opt/winset/GloveMode.sh /opt/winset/StylusMode.sh /usr/bin/
sudo chmod 555 /usr/bin/SwitchMode.sh /usr/bin/HandMode.sh /usr/bin/GloveMode.sh /usr/bin/StylusMode.sh

sudo mv /opt/winset/eGloveSwitch /opt/winset/eTouchMode /usr/bin/
sudo chmod 4555 /usr/bin/eGloveSwitch /usr/bin/eTouchMode

sudo mv /opt/winset/winset.sh.desktop /etc/xdg/autostart/
sudo chmod 644 /etc/xdg/autostart/winset.sh.desktop

sudo mv /opt/winset/99-x86_RW.rules /etc/udev/rules.d/
sudo chmod 644 /etc/udev/rules.d/99-x86_RW.rules

sudo mv /opt/winset/winset-pm /lib/systemd/system-sleep
sudo chmod 755 /lib/systemd/system-sleep/winset-pm

sudo mv /opt/winset/lightdm.conf /etc/lightdm/

echo completed.

reboot
